# 1.1.0[−][src]Trait std::os::unix::fs::DirEntryExt

    pub trait DirEntryExt {
        fn ino(&self) -> u64;
    }

This is supported on Unix only.

Unix-specific extension methods for `fs::DirEntry`.

## Required methods

### `fn ino(&self) -> u64`

This is supported on Unix only.

Returns the underlying `d_ino` field in the contained `dirent` structure.

# Examples

    use std::fs;
    use std::os::unix::fs::DirEntryExt;

    if let Ok(entries) = fs::read_dir(".") {
        for entry in entries {
            if let Ok(entry) = entry {
                // Here, `entry` is a `DirEntry`.
                println!("{:?}: {}", entry.file_name(), entry.ino());
            }
        }
    }

Run
Loading content...

## Implementors

### `impl DirEntryExt for DirEntry`[src]

#### `fn ino(&self) -> u64`[src]

This is supported on Unix only.
Loading content...